<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Friend List</title>
    <link rel="stylesheet" href="styles.css">
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;700&family=Roboto:wght@300&display=swap" rel="stylesheet">
</head>

<style>
    * {
        padding: 0;
        margin: 0;
        text-decoration: none;
        box-sizing: border-box;
    }

    nav {
        background: #7D53DE;
        height: 80px;
        width: 100%;
    }

    nav h1 {
        color: #f3f3f3;
        line-height: 80px;
        padding: 0 100px;
        font-family: 'Poppins', sans-serif;
        text-align: center;
    }

    body {
        background-color: #1B2021;
    }

    h1 {
        font-family: 'Poppins', sans-serif;
        font-weight: 700;
        text-align: center;
        color: #f3f3f3;
    }

    .content-table {
        border-collapse: collapse;
        margin: 50px 0;
        margin-left: auto;
        margin-right: auto;
        font-family: 'Poppins', sans-serif;
        font-size: 0.9em;
        min-width: 400px;
        border-radius: 5px 5px 0 0;
        overflow: hidden;
        box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
    }

    .content-table thead tr {
        background-color: #7D53DE;
        color: #ffffff;
        text-align: left;
        font-weight: bold;
    }

    .content-table th,
    .content-table td {
        padding: 12px 15px;
    }

    .content-table tbody tr {
        border-bottom: 1px solid #dddddd;
    }

    .content-table tbody tr:nth-of-type(odd) {
        background-color: #ffffff;
    }

    .content-table tbody tr:nth-of-type(even) {
        background-color: #f3f3f3;
    }

    .content-table tbody tr:last-of-type {
        border-bottom: 2px solid #7D53DE;
    }
</style>

<body>
    <nav>
        <h1>FRIENDLIST&copy;</h1>
    </nav>
    
    <table class="content-table">
        <thead>
            <tr>
                <th>Name</th>
                <th>NPM</th>
                <th>DOB</th>
            </tr>
        </thead>
        <tbody>
            <!-- Loop from Friend model -->
            {% if friends %}
            {% for friend in friends %}
            <tr>
                <td>{{ friend.name }}</td>
                <td>{{ friend.npm }}</td>
                <td>{{ friend.DOB }}</td>
            </tr>
            {% endfor %}
            {% endif %}
        </tbody>
    </table>
</body>

</html>